/**************************************************************************
 *
 *  Copyright (C) 2000 by Systems in Motion.  All rights reserved.
 *
 *  This file is part of the Coin library.
 *
 *  This file may be distributed under the terms of the Q Public License
 *  as defined by Troll Tech AS of Norway and appearing in the file
 *  LICENSE.QPL included in the packaging of this file.
 *
 *  If you want to use Coin in applications not covered by licenses
 *  compatible with the QPL, you can contact SIM to aquire a
 *  Professional Edition license for Coin.
 *
 *  Systems in Motion AS, Prof. Brochs gate 6, N-7030 Trondheim, NORWAY
 *  http://www.sim.no/ sales@sim.no Voice: +47 22114160 Fax: +47 67172912
 *
 **************************************************************************/

//  $Id: SoQtIncludes.h,v 1.2 2000/04/03 14:16:04 larsa Exp $

#ifndef SOQT_INCLUDES_H
#define SOQT_INCLUDES_H

#ifndef SOQT_H
#include <Inventor/Qt/SoQt.h>
#endif // ! SOQT_H

#ifndef SOQT_COMPONENT_H
#include <Inventor/Qt/SoQtComponent.h>
#endif // ! SOQT_COMPONENT_H

#ifndef SOQT_CURSORS_H
#include <Inventor/Qt/SoQtCursors.h>
#endif // ! SOQT_CURSORS_H

#ifndef SOQT_GLWIDGET_H
#include <Inventor/Qt/SoQtGLWidget.h>
#endif // ! SOQT_GLWIDGET_H

#ifndef SOQT_LIGHTSLIDERSET_H
#include <Inventor/Qt/SoQtLightSliderSet.h>
#endif // ! SOQT_LIGHTSLIDERSET_H

#ifndef SOQT_MATERIALSLIDERSET_H
#include <Inventor/Qt/SoQtMaterialSliderSet.h>
#endif // ! SOQT_MATERIALSLIDERSET_H

#ifndef SOQT_RENDERAREA_H
#include <Inventor/Qt/SoQtRenderArea.h>
#endif // ! SOQT_RENDERAREA_H

#ifndef SOQT_SLIDERSET_H
#include <Inventor/Qt/SoQtSliderSet.h>
#endif // ! SOQT_SLIDERSET_H

#ifndef SOQT_SLIDERSETBASE_H
#include <Inventor/Qt/SoQtSliderSetBase.h>
#endif // ! SOQT_SLIDERSETBASE_H

#ifndef SOQT_TRANSFORMSLIDERSET_H
#include <Inventor/Qt/SoQtTransformSliderSet.h>
#endif // ! SOQT_TRANSFORMSLIDERSET_H

#ifndef SOQT_DEVICE_H
#include <Inventor/Qt/devices/SoQtDevice.h>
#endif // ! SOQT_DEVICE_H
#ifndef SOQT_INPUTFOCUS_H
#include <Inventor/Qt/devices/SoQtInputFocus.h>
#endif // ! SOQT_INPUTFOCUS_H
#ifndef SOQT_KEYBOARD_H
#include <Inventor/Qt/devices/SoQtKeyboard.h>
#endif // ! SOQT_KEYBOARD_H
#ifndef SOQT_MOUSE_H
#include <Inventor/Qt/devices/SoQtMouse.h>
#endif // ! SOQT_MOUSE_H
#ifndef SOQT_SPACEBALL_H
#include <Inventor/Qt/devices/SoQtSpaceball.h>
#endif // ! SOQT_SPACEBALL_H

#ifndef SOQT_VIEWER_H
#include <Inventor/Qt/viewers/SoQtViewer.h>
#endif // ! SOQT_VIEWER_H
#ifndef SOQT_FULLVIEWER_H
#include <Inventor/Qt/viewers/SoQtFullViewer.h>
#endif // ! SOQT_FULLVIEWER_H
#ifndef SOQT_EXAMINERVIEWER_H
#include <Inventor/Qt/viewers/SoQtExaminerViewer.h>
#endif // ! SOQT_EXAMINERVIEWER_H
#ifndef SOQT_PLANEVIEWER_H
#include <Inventor/Qt/viewers/SoQtPlaneViewer.h>
#endif // ! SOQT_PLANEVIEWER_H
#ifndef SOQT_CONSTRAINEDVIEWER_H
#include <Inventor/Qt/viewers/SoQtConstrainedViewer.h>
#endif // ! SOQT_CONSTRAINEDVIEWER_H
#ifndef SOQT_WALKVIEWER_H
#include <Inventor/Qt/viewers/SoQtWalkViewer.h>
#endif // ! SOQT_WALKVIEWER_H
#ifndef SOQT_FLYVIEWER_H
#include <Inventor/Qt/viewers/SoQtFlyViewer.h>
#endif // ! SOQT_FLYVIEWER_H
#ifndef SOQT_COLLISIONVIEWER_H
#include <Inventor/Qt/viewers/SoQtCollisionViewer.h>
#endif // ! SOQT_COLLISIONVIEWER_H

#endif // ! SOQT_INCLUDES_H
